import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { useDispatch } from "react-redux";
import { createRoot } from 'react-dom/client';
import { Box, Button, ButtonGroup } from '@primer/react';
import Jupyter from '../jupyter/Jupyter';
import { useJupyter } from '../jupyter/JupyterContext';
import { Kernel } from '../jupyter/services/kernel/Kernel';
import Notebook from '../components/notebook/Notebook';
import { notebookActions } from '../components/notebook/NotebookState';
import CellSidebarDefault from '../components/notebook/cell/sidebar/CellSidebarDefault';
import "./../../style/index.css";
const NOTEBOOK_UID = 'notebook-id-kernel';
const NotebookKernelChange = () => {
    const { kernelManager } = useJupyter();
    const dispatch = useDispatch();
    const changeKernel = () => {
        if (kernelManager) {
            const kernel = new Kernel({ kernelManager, kernelName: "python" });
            kernel.getJupyterKernel().then((kernelConnection) => {
                dispatch(notebookActions.changeKernel({ uid: NOTEBOOK_UID, kernel }));
                alert('The notebook kernel is changed.');
            });
        }
    };
    return (_jsxs(_Fragment, { children: [_jsx(Box, Object.assign({ display: "flex" }, { children: _jsx(ButtonGroup, { children: _jsx(Button, Object.assign({ variant: "default", size: "small", onClick: changeKernel }, { children: "Assign a new Kernel" }), void 0) }, void 0) }), void 0),
            _jsx(Notebook, { uid: NOTEBOOK_UID, path: "test.ipynb", CellSidebar: CellSidebarDefault, height: "500px" }, void 0)] }, void 0));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Jupyter, Object.assign({ lite: false, terminals: true }, { children: _jsx(NotebookKernelChange, {}, void 0) }), void 0));
//# sourceMappingURL=JupyterExampleKernel.js.map